ALTER TABLE ALARM_DATA
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE ALARM_DATA A
SET A.ID_HASH = ORA_HASH (A.ID_ALARM || SYSTIMESTAMP || SYS_GUID ())
WHERE A.ID_HASH IS NULL;

UPDATE ALARM_DATA A
SET A.ID_HASH = (CASE WHEN LENGTH(A.ID_HASH) < 50 THEN LPAD(A.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(A.ID_HASH) END)       
WHERE LENGTH(A.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER ALARM_DATA_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON ALARM_DATA
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID_ALARM || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1669, SYSDATE, '5.5', 1589, 'ALARM_DATA ID_HASH')
;