ALTER TABLE PLOVILA
ADD PUBLIC_LIABILITY_AMOUNT NUMBER;

DROP VIEW V_KUPCI_PLOVILA;

CREATE OR REPLACE VIEW V_KUPCI_PLOVILA (KUPCI_PLOVILA_ID, ID_LASTNIKA, KUPCI_IME, KUPCI_PRIIMEK, KUPCI_NASLOV, KUPCI_MESTO, KUPCI_POSTA, KUPCI_VRSTA, KUPCI_NDRZAVA, KUPCI_EMAIL, 
KUPCI_TELEFON_1, YACHT_CLUB_ID, KUPCI_ID_MEMBER, KUPCI_ACT, KUPCI_TELEX, KUPCI_GSM, KUPCI_TELEFON_2, KUPCI_DAVCNA_STEVILKA, KUPCI_VALUTA_PLACILA, KUPCI_SALDAKONTI_SIT, 
KUPCI_SALDAKONTI_DEM, KUPCI_SALDAKONTI_KOM, KUPCI_INT_CODE, KUPCI_VEHICLE_REGISTRATION_NUM, KUPCI_MANAGER, KUPCI_N_DOKUMENTA, OWNER, PLOVILA_ID, PLOVILA_IME, PLOVILA_REGISTRSKA_N, 
PLOVILA_MODEL, PLOVILA_NTIP, PLOVILA_NZASTAVA, TRENUTNO_OD, TRENUTNO_DO, POGODBA_DO, PLOVILA_DOLZINA, PLOVILA_SIRINA, PLOVILA_GREZ, PLOVILA_BOOKING, PLOVILA_ACT, PLOVILA_DATUM_ZAVAROVANJE, PLOVILA_ZAVAROVALNICA, 
PLOVILA_N_ZAVAROVALNE_POLICE, PLOVILA_PUB_LIABILITY_AMOUNT,
TRENUTNI_OBJEKT_PRIVEZA, TRENUTNA_N_PRIVEZA, TRENUTNA_KATEGORIJA, POGODBENI_OBJEKT_PRIVEZA, POGODBENA_N_PRIVEZA, POGODBENA_KATEGORIJA, KUPCI_MANAGER_USER, ID_PRIVEZ_TEMP, 
ID_LOCATION_TEMP, ID_PRIVEZ_CONTRACT, ID_LOCATION_CONTRACT) AS 
  (
SELECT CONCAT(CONCAT(K.ID, '-'), P.ID) AS KUPCI_PLOVILA_ID, K.ID AS ID_LASTNIKA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.NASLOV AS KUPCI_NASLOV, K.MESTO AS KUPCI_MESTO, K.POSTA AS KUPCI_POSTA, K.VRSTA AS KUPCI_VRSTA,
K.NDRZAVA AS KUPCI_NDRZAVA, K.EMAIL AS KUPCI_EMAIL, K.TELEFON_1 AS KUPCI_TELEFON_1, K.YACHT_CLUB_ID, K.ID_MEMBER AS KUPCI_ID_MEMBER, K.ACT AS KUPCI_ACT, K.TELEX AS KUPCI_TELEX, K.GSM AS KUPCI_GSM, K.TELEFON_2 AS KUPCI_TELEFON_2,
K.DAVCNA_STEVILKA AS KUPCI_DAVCNA_STEVILKA, K.VALUTA_PLACILA AS KUPCI_VALUTA_PLACILA, K.SALDAKONTI_SIT AS KUPCI_SALDAKONTI_SIT, K.SALDAKONTI_DEM AS KUPCI_SALDAKONTI_DEM, K.SALDAKONTI_KOM AS KUPCI_SALDAKONTI_KOM, K.INT_CODE AS KUPCI_INT_CODE,
K.VEHICLE_REGISTRATION_NUM AS KUPCI_VEHICLE_REGISTRATION_NUM, K.MANAGER AS KUPCI_MANAGER, K.N_DOKUMENTA AS KUPCI_N_DOKUMENTA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME, P.REGISTRSKA_N AS PLOVILA_REGISTRSKA_N, P.MODEL AS PLOVILA_MODEL, P.NTIP AS PLOVILA_NTIP, P.NZASTAVA AS PLOVILA_NZASTAVA, P.TRENUTNO_OD, P.TRENUTNO_DO, P.POGODBA_DO, P.DOLZINA AS PLOVILA_DOLZINA,
P.SIRINA AS PLOVILA_SIRINA, P.GREZ AS PLOVILA_GREZ, P.BOOKING AS PLOVILA_BOOKING, P.ACT AS PLOVILA_ACT, P.DATUM_ZAVAROVANJE AS PLOVILA_DATUM_ZAVAROVANJE, P.ZAVAROVALNICA AS PLOVILA_ZAVAROVALNICA, 
P.N_ZAVAROVALNE_POLICE AS PLOVILA_N_ZAVAROVALNE_POLICE, P.PUBLIC_LIABILITY_AMOUNT AS PLOVILA_PUB_LIABILITY_AMOUNT,
CASE WHEN BERTH_TEMP.ID_PRIVEZ IS NOT NULL THEN BERTH_TEMP.OBJEKT ELSE P.TRENUTNI_OBJEKT_PRIVEZA END AS TRENUTNI_OBJEKT_PRIVEZA,
CASE WHEN BERTH_TEMP.ID_PRIVEZ IS NOT NULL THEN BERTH_TEMP.N_PRIVEZA ELSE P.TRENUTNA_N_PRIVEZA END AS TRENUTNA_N_PRIVEZA, BERTH_TEMP.KATEGORIJA AS TRENUTNA_KATEGORIJA,
CASE WHEN BERTH_CONTRACT.ID_PRIVEZ IS NOT NULL THEN BERTH_CONTRACT.OBJEKT ELSE P.POGODBENI_OBJEKT_PRIVEZA END AS POGODBENI_OBJEKT_PRIVEZA,
CASE WHEN BERTH_CONTRACT.ID_PRIVEZ IS NOT NULL THEN BERTH_CONTRACT.N_PRIVEZA ELSE P.POGODBENA_N_PRIVEZA END AS POGODBENA_N_PRIVEZA, BERTH_CONTRACT.KATEGORIJA AS POGODBENA_KATEGORIJA,
NNUSR.USER_ AS KUPCI_MANAGER_USER, VPT.ID_PRIVEZ AS ID_PRIVEZ_TEMP, VPT.NNLOCATION_ID AS ID_LOCATION_TEMP, VPC.ID_PRIVEZ AS ID_PRIVEZ_CONTRACT, VPC.NNLOCATION_ID AS ID_LOCATION_CONTRACT
FROM KUPCI K
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA = K.ID
LEFT OUTER JOIN NUSER NNUSR ON K.MANAGER = NNUSR.NUSER
LEFT OUTER JOIN (SELECT PRIVEZI.*, RANK() OVER (PARTITION BY ID_PLOVILA ORDER BY ID_PRIVEZI ASC) RNK FROM PRIVEZI WHERE ID_POGODBE IS NULL) PRIVEZI_TEMP ON (PRIVEZI_TEMP.ID_PLOVILA = P.ID AND PRIVEZI_TEMP.RNK = 1)
LEFT OUTER JOIN NNPRIVEZ BERTH_TEMP ON BERTH_TEMP.ID_PRIVEZ = PRIVEZI_TEMP.ID_PRIVEZ
LEFT OUTER JOIN (SELECT PRIVEZI.*, RANK() OVER (PARTITION BY ID_PLOVILA ORDER BY ID_PRIVEZI DESC) RNK FROM PRIVEZI WHERE ID_POGODBE IS NOT NULL) PRIVEZI_CONTRACT ON (PRIVEZI_CONTRACT.ID_PLOVILA = P.ID AND PRIVEZI_CONTRACT.RNK = 1)
LEFT OUTER JOIN NNPRIVEZ BERTH_CONTRACT ON BERTH_CONTRACT.ID_PRIVEZ = PRIVEZI_CONTRACT.ID_PRIVEZ
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPT ON VPT.ID_PRIVEZ = BERTH_TEMP.ID_PRIVEZ
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPC ON VPC.ID_PRIVEZ = BERTH_CONTRACT.ID_PRIVEZ
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1942, SYSDATE, '5.5', 1862, 'Liability amount')
;

